Name: C++2LaTeX
Version: 1.1
Release: ipl8mdk

Summary: Pretty-printer for converting C/C++ code to a LaTeX listing
License: GPL
Group: Development/C++

Source: %name-%version.tar.bz2
Patch:C++2LaTeX-1.1-cleanup.patch

# Automatically added by buildreq on Fri Sep 20 2002
BuildRequires: flex

%description
C++2LaTeX takes as input a C or C++ source file and outputs a
LaTeX file that is a beautified listing (optionally the output
can contain the 'documentstyle' header and so on).

%prep
%setup -q
%patch -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man1

install -pm 755 c++2latex 	$RPM_BUILD_ROOT%_bindir
install -pm 644 c++2latex.1 	$RPM_BUILD_ROOT%_mandir/man1

%files
%_bindir/*
%_mandir/man?/*
%doc README

%changelog
* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-ipl8mdk
- rebuild with gcc3

* Wed Mar 20 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-ipl7mdk
- Rebuilt
- Cleanup spec

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE adaptations

* Sat Aug 05 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1-5mdk
- macroszifications
- BM

* Mon Mar 20 2000 Camille Begnis <camille@mandrakesoft.com> 1.1-4mdk
- Fixed group

* Fri Mar 17 2000 Camille Begnis <camille@mandrakesoft.com> 1.1-3mdk
- minor spec update

* Wed Feb 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1-2mdk
 - updated .spec file a bit

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
 - new in contribs
 - build for mandrake

* Thu Nov 05 1998 Christian Joensson FOA 72 <chj@lin.foa.se>.
  - Took James Youngman's, <JYoungman@vggas.com>, libc5 src.
  - Deleted the tetex-latex dependency, built with glibc-2,
    and stripped binary.
